# Arc

Source:
  - graphics/arc.js, line 3

### Methods

#### (static) degreesToRadians(angleInDegrees) → {number}

Helper to convert degrees to radians.

##### Parameters:

Name | Type | Description
--- | --- | ---
`angleInDegrees` | number | The angle represented as degrees.

Source:
  - graphics/arc.js, line 156

##### Returns:

The angle represented as radians.

Type
  number

#### (static) prepareAngle(angle) → {number}

Prepares an angle to be drawn.

##### Parameters:

Name | Type | Description
--- | --- | ---
`angle` | number | The angle to be prepared.

Source:
  - graphics/arc.js, line 136

##### Returns:

The prepared angle.

Type
  number

#### (static) radiansToDegrees(angleInDegrees) → {number}

Helper to convert radians to degrees.

##### Parameters:

Name | Type | Description
--- | --- | ---
`angleInDegrees` | number | The angle represented as radians.

Source:
  - graphics/arc.js, line 166

##### Returns:

The angle represented as degrees.

Type
  number

#### containsPoint(x, y) → {boolean}

Check if a given point is within the Thing. This function only works in subclasses of Thing.

##### Parameters:

Name | Type | Description
--- | --- | ---
`x` | number | The x coordinate of the point being checked.
`y` | number | The y coordinate of the point being checked.

Inherited From:
  - Thing#containsPoint
Source:
  - graphics/thing.js, line 216

##### Returns:

Whether the point x, y is within the Thing.

Type
  boolean

#### draw(__graphics__)

Draws the arc in the canvas.

##### Parameters:

Name | Type | Description
--- | --- | ---
`__graphics__` | CodeHSGraphics | Instance of the __graphics__ module.

Overrides:
  - Thing#draw
Source:
  - graphics/arc.js, line 58

#### getBorderColor() → {Color}

Gets the border color of a Thing.

Inherited From:
  - Thing#getBorderColor
Source:
  - graphics/thing.js, line 142

##### Returns:

The color of the Thing's border.

Type
  Color

#### getBorderWidth() → {number}

Gets the width of the Thing's border.

Inherited From:
  - Thing#getBorderWidth
Source:
  - graphics/thing.js, line 163

##### Returns:

The width of the Thing's border.

Type
  number

#### getColor() → {Color}

Gets the color of a Thing.

Inherited From:
  - Thing#getColor
Source:
  - graphics/thing.js, line 118

##### Returns:

The destination y coordinate of this Thing.

Type
  Color

#### getType() → {type}

Returns the type of a Thing.

Inherited From:
  - Thing#getType
Source:
  - graphics/thing.js, line 73

##### Returns:

The type of the Thing.

Type
  type

#### getX() → {number}

Gets the x position of the Thing.

Inherited From:
  - Thing#getX
Source:
  - graphics/thing.js, line 190

##### Returns:

The x position of the Thing.

Type
  number

#### getY() → {number}

Gets the y position of the Thing.

Inherited From:
  - Thing#getY
Source:
  - graphics/thing.js, line 198

##### Returns:

The y position of the Thing.

Type
  number

#### hasBorder() → {boolean}

Returns if a Thing has a border.

Inherited From:
  - Thing#hasBorder
Source:
  - graphics/thing.js, line 53

##### Returns:

True if the Thing has a border.

Type
  boolean

#### isFilled() → {boolean}

Returns if a Thing is filled.

Inherited From:
  - Thing#isFilled
Source:
  - graphics/thing.js, line 33

##### Returns:

True if the Thing is filled.

Type
  boolean

#### move(dx, dy)

Changes the possition of a thing by a specified x and y amount.

##### Parameters:

Name | Type | Description
--- | --- | ---
`dx` | number | The resulting change in the Thing's x position.
`dy` | number | The resulting change in the Thing's y position.

Inherited From:
  - Thing#move
Source:
  - graphics/thing.js, line 172

#### setBorder(hasBorder)

Sets a Thing object to filled. Throws an error if an argument is not passed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`hasBorder` | bool | A boolean of whether or not Thing has a border.

Inherited From:
  - Thing#setBorder
Source:
  - graphics/thing.js, line 42

#### setBorderColor(color)

Sets the border color of a Thing. Throws an error if there are fewer than 1 params or if the param is undefined.

##### Parameters:

Name | Type | Description
--- | --- | ---
`color` | Color | The resulting color of the Thing's border.

Inherited From:
  - Thing#setBorderColor
Source:
  - graphics/thing.js, line 128

#### setBorderWidth(width)

Sets the width of a Thing's border. Throws an error if there is not 1 argument.

##### Parameters:

Name | Type | Description
--- | --- | ---
`width` | number | The resulting width of the Thing's border.

Inherited From:
  - Thing#setBorderWidth
Source:
  - graphics/thing.js, line 151

#### setColor(color)

Sets the color of a Thing. Throws an error if there are fewer than 1 params or if the param is undefined.

##### Parameters:

Name | Type | Description
--- | --- | ---
`color` | Color | The resulting color of Thing.

Inherited From:
  - Thing#setColor
Source:
  - graphics/thing.js, line 104

#### setFilled(filled)

Sets a Thing object to filled. Throws an error if an argument is not passed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`filled` | bool | A boolean of whether or not Thing is filled.

Inherited From:
  - Thing#setFilled
Source:
  - graphics/thing.js, line 22

#### setPosition(x, y)

Sets the position of a Thing. Throws an error if there are fewer than 2 params or if they are not numbers.

##### Parameters:

Name | Type | Description
--- | --- | ---
`x` | number | The destination x coordinate of this Thing.
`y` | number | The destination y coordinate of this Thing.

Inherited From:
  - Thing#setPosition
Source:
  - graphics/thing.js, line 84

#### setType(type)

Sets a Thing object's type. Questionable of whether or not this method is used.

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | type | A type to set the Thing to.

Inherited From:
  - Thing#setType
Source:
  - graphics/thing.js, line 62